Subject: Error in manual "(guile-2) Object Properties"

From: David Kastrup <[email-masked]>
Date: Thu, 04 Jul 2013 20:03:42 +0200

The manual states in "Object Properties":

       A single object property created by `make-object-property' can
    associate distinct property values with all Scheme values that are
    distinguishable by `eq?' (including, for example, integers).

Integers are not documented to be reliably distinguishable by eq? (which
means that equal integers might not be eq).  So something seems wrong in
that description.  Either integer values can _not_ be given properties
reliably, or the above needs to specify "distinguishable by `eqv?'" or
whatever else may be the underlying reality.

-- 
David Kastrup